com.sun.grid.jgdi.management

## Class ConnectorBootstrap

- java.lang.Object
- - com.sun.grid.jgdi.management.ConnectorBootstrap

-     public final class ConnectorBootstrap
      extends java.lang.Object

  This class initializes and starts a customized RMIConnectorServer for JSR 163 JMX Monitoring.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ConnectorBootstrap.DefaultValues` Default values for JMX configuration properties.
    `static interface` | `ConnectorBootstrap.PropertyNames` Names of JMX configuration properties.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.management.remote.JMXConnectorServer` | `initialize()` Initializes and starts the JMX Connector Server.
    `static javax.management.remote.JMXConnectorServer` | `initialize(java.lang.String portStr, java.util.Properties props)` Initializes and starts a JMX Connector Server for remote monitoring and management.
    `static void` | `resetRegistry()`
    `static javax.management.remote.JMXConnectorServer` | `startLocalConnectorServer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### initialize

          public static javax.management.remote.JMXConnectorServer initialize()

      Initializes and starts the JMX Connector Server. If the com.sun.management.jmxremote.port property is not defined, simply return. Otherwise, attempts to load the config file, and then calls `initialize(java.lang.String, java.util.Properties)`.

    - #### initialize

          public static javax.management.remote.JMXConnectorServer initialize(java.lang.String portStr,
                                                                              java.util.Properties props)

      Initializes and starts a JMX Connector Server for remote monitoring and management.

    - #### startLocalConnectorServer

          public static javax.management.remote.JMXConnectorServer startLocalConnectorServer()

    - #### resetRegistry

          public static void resetRegistry()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.